Oracle varuje před bezpečnostní chybou Javy | E15.cz

Oracle varuje před bezpečnostní chybou Javy

Ilustrační foto
Ilustrační foto
• 
ZDROJ: Profimedia

bru

Oracle odstranil bezpečnostní mezeru ve svém programu Java, kvůli které byly počítače vybavené programem náchylnější k ovládnutí hackery. Bezpečnostní experti na problém upozornili už během víkendu.

Java má programátorům umožnit, aby vyrobili je jednu verzi svého softwaru, která by – přinejmenším teoreticky – měla následně fungovat na počítačích vybavených Windows, Linuxem i operačním systémem Mac OS. Podle Oraclu Javu používá 1,1 miliardy počítačů na celém světě.

Podle varovaní, které Oracle uveřejnil, chybu obsahovala poslední verze Java 7 i předchozí varianta Java 6. Včera zveřejnil aktualizaci, která by chybu měla odstranit, a vyzývá uživatele, aby si jí nainstalovali. Specializovaná společnost Rapid7 opravu otestovala a uvedla, že Oraclu se podařilo chyby ostranit.

Tři ze čtyř nalezených bezpečnostních chyb ohodnotil Oracle jako velmi nebezpečné, poslední prý není tak závažná.

Podle odborníků umožňuje bezpečností chyba hackerům, aby mohli do počítače na dálku instalovat programy a následně je spouštět. Protože je Java doplňkem řady internetových prohlížečů, může úlohu hackera splnit i internetová stránka.

Autor: bru

S předplatným můžete mít i tento exkluzivní obsah

Newsletter
Využijte služby
zasílání zpráv do vaší
e-mailové schránky!

Tato stránka využívá služeb Google reCAPTCHA, na kterou se vztahují Smluvní podmínky a Zásady ochrany osobních údajů společnosti Google.